"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-10.9-x86_64-cpython-38/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f953868a790>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f953868a820>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f953868a8b0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f953868a940>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f953868a9d0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f953868aa60>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f953868aaf0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f953868ab80>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f953868ac10>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f953868aca0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f953868ad30>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f953868adc0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f953868ae50>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f953868aee0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f953868af70>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691040>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f95386910d0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691160>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f95386911f0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691280>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691310>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f95386913a0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691430>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f95386914c0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f95386915e0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691550>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691670>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691700>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691790>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691820>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f95386918b0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691940>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f95386919d0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691a60>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691af0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691b80>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691c10>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691ca0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691d30>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691dc0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691e50>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691ee0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538691f70>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694040>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f95386940d0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694160>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f95386941f0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694280>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694310>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f95386943a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694430>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f95386944c0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694550>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f95386945e0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694670>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694700>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694790>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694820>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f95386948b0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694940>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f95386949d0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694a60>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694af0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694b80>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694c10>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694dc0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694ca0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694e50>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694ee0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538694f70>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538698040>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f95386980d0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f95386981f0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538698160>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538698280>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538698310>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f95386983a0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f95386984c0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538698430>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538698550>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f95386985e0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538698670>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538698700>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538698790>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f9538698820>)]
name: str = 'fr_HOCCN'
